import java.io.BufferedReader;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.InputStreamReader;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.util.StringTokenizer;

public class Echo
{
    public static void main( String[] args ) throws IOException
    {
        String delimiters = " .?!()[]{}|@#$%^*+-<=>/&\\,;:_\'\"\t\n\r";

        BufferedReader inputFile = new BufferedReader(
                                       new InputStreamReader( System.in ) );
        PrintWriter   outputFile = new PrintWriter(
                                       new OutputStreamWriter( System.out ) );

        if (args.length > 0)
            inputFile = new BufferedReader( new FileReader( args[0] ) );
        if (args.length > 1)
            outputFile = new PrintWriter( new FileWriter( args[1] ) );

        String buffer = null;

        while( true )
        {
            buffer = inputFile.readLine();

            if ( buffer == null ) break;

            buffer = buffer.toLowerCase();
            StringTokenizer tokens =
                new StringTokenizer( buffer, delimiters );

            while( tokens.hasMoreElements() )
            {
                String word = (String) tokens.nextElement();
                outputFile.println( word );
            }
        }

        inputFile.close();
        outputFile.close();
    }
}
